![ITK - The Insight Toolkit](Documentation/Art/itkBannerSmall.png)

ITK: The Insight Segmentation and Registration Toolkit
======================================================

[![GitHub release](https://img.shields.io/github/release/InsightSoftwareConsortium/ITK.svg)](https://github.com/InsightSoftwareConsortium/ITK/releases/latest)
[![PyPI](https://img.shields.io/pypi/v/itk.svg)](https://pypi.python.org/pypi/itk)
[![Wheels](https://img.shields.io/pypi/wheel/itk.svg)](https://pypi.org/project/itk)
[![License](https://img.shields.io/badge/License-Apache%202.0-blue.svg)](https://github.com/InsightSoftwareConsortium/ITK/blob/master/LICENSE)


Links
-----

* [Homepage](https://itk.org)
* [Download](https://itk.org/ITK/resources/software.html)
* [Discussion](https://discourse.itk.org/)
* [Software Guide](https://itk.org/ITKSoftwareGuide/html/)
* [Help](https://itk.org/ITK/help/help.html)
* [Examples](https://itk.org/ITKExamples/)
* [Issue tracking](http://issues.itk.org/)
* [Submit a patch](CONTRIBUTING.md)


About
-----

The National Library of Medicine Insight Segmentation and Registration Toolkit
(ITK), or Insight Toolkit, is an open-source, cross-platform C++ toolkit for
segmentation and registration. Segmentation is the process of identifying and
classifying  data found in a digitally sampled representation. Typically the
sampled representation is an image acquired from such medical instrumentation
as CT or MRI scanners. Registration is the task of aligning or developing
correspondences between data. For example, in the medical environment, a
CT scan may be aligned with a MRI scan in order to combine the information
contained in both.

The toolkit may be built from source using [CMake](https://cmake.org).


Copyright
---------

The [Insight Software Consortium](http://www.insightsoftwareconsortium.org)
holds the copyright of this software. This is a non-profit entity that
promotes the use of ITK for educational and research purposes. ITK is
distributed under a license that enables use for both non-commercial and
commercial applications. See [LICENSE](https://github.com/InsightSoftwareConsortium/ITK/blob/master/LICENSE)
and [NOTICE](https://github.com/InsightSoftwareConsortium/ITK/blob/master/NOTICE)
files for details.
